HTMLErrorReporter (NekoHTML 1.9.14 Implementation)
Date: 2010-02-02

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cyberneko.html
Interface HTMLErrorReporter

All Known Implementing Classes:
  HTMLConfiguration.ErrorReporter

    public interface HTMLErrorReporter

Defines an error reporter for reporting HTML errors. There is no such thing as a fatal error in parsing HTML. I/O errors are fatal but should throw an `IOException` directly instead of reporting an error.

When used in a configuration, the error reporter instance should be set as a property with the following property identifier:

     "http://cyberneko.org/html/internal/error-reporter" in the

Components in the configuration can query the error reporter using this property identifier.

Note: All reported errors are within the domain "http://cyberneko.org/html".

Version:
  $Id: HTMLErrorReporter.java,v 1.4 2005/02/14 03:56:54 andyc Exp $
Author:
  Andy Clark

Method Summary
`java.lang.String` | `formatMessage(java.lang.String key, java.lang.Object[] args)` Format message without reporting error.
`void` | `reportError(java.lang.String key, java.lang.Object[] args)` Reports an error.
`void` | `reportWarning(java.lang.String key, java.lang.Object[] args)` Reports a warning.

Method Detail

### formatMessage

    java.lang.String formatMessage(java.lang.String key,
                                   java.lang.Object[] args)

  Format message without reporting error.

### reportWarning

    void reportWarning(java.lang.String key,
                       java.lang.Object[] args)
                       throws org.apache.xerces.xni.parser.XMLParseException

  Reports a warning.

  Throws:
    `org.apache.xerces.xni.parser.XMLParseException`

### reportError

    void reportError(java.lang.String key,
                     java.lang.Object[] args)
                     throws org.apache.xerces.xni.parser.XMLParseException

  Reports an error.

  Throws:
    `org.apache.xerces.xni.parser.XMLParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright 2002-2008, Andy Clark, Marc Guillemot. All rights reserved.